﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

using System.Drawing.Imaging;

namespace howto_wmf_to_png
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void mnuFileExit_Click(object sender, EventArgs e)
        {
            Close();
        }

        // Open a WMF file.
        private void mnuFileOpen_Click(object sender, EventArgs e)
        {
            if (ofdWmfFile.ShowDialog() == DialogResult.OK)
            {
                picImage.Image = new Bitmap(ofdWmfFile.FileName);
                mnuFileSaveAs.Enabled = true;

                ClientSize = new Size(
                    picImage.Right + picImage.Left,
                    picImage.Bottom + picImage.Left);
            }
        }

        // Save the image as a PNG file.
        private void mnuFileSaveAs_Click(object sender, EventArgs e)
        {
            if (sfdPngFile.ShowDialog() == DialogResult.OK)
            {
                Bitmap bm = (Bitmap)picImage.Image;
                bm.Save(sfdPngFile.FileName, ImageFormat.Png);
            }
        }
    }
}
